| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::Pixel Struct Reference

List of all members.

## Public Member Functions
Pixel & | operator *= (const uint8 x)
Pixel | operator+ (const Pixel other)
Pixel & | operator+= (const Pixel other)
Pixel | operator~ () const
| Pixel (uint32 ui)
| Pixel (uint8 r, uint8 g, uint8 b, uint8 a)
| Pixel ()
## Friends
Pixel | operator * (const Pixel p, const uint8 x)
Pixel | operator * (const Pixel p1, const Pixel p2)
## Classes
struct | tag_c

## Detailed Description

Definition at line 337 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h